const util = require("./util.js")

if($('.submitNewsletterSimpleInscription').length > 0){
    $('.submitNewsletterSimpleInscription').on("click",function(e){
        e.preventDefault();
        if(checkInscriptionComplete()){
            $("#newsletterSimpleInscription").submit();
        }
        return false;
    })
}
function checkInscriptionComplete(){
    var isValide = true;
    var messageErreur = [];
    let alreadyFocused=false;

    if($("#newsletterSimpleInscriptionNom").val().trim().length === 0){
        isValide = false;
            if(!alreadyFocused){
                $("#newsletterSimpleInscriptionNom").focus();
                alreadyFocused=true;
            }
        messageErreur.push("Vous devez saisir votre nom de famille");
    }
    if($("#newsletterSimpleInscriptionPrenom").val().trim().length === 0){
        isValide = false;
            if(!alreadyFocused){
                $("#newsletterSimpleInscriptionPrenom").focus();
                alreadyFocused=true;
            }
        messageErreur.push("Vous devez saisir votre prénom");
    }
    if($("#newsletterSimpleInscriptionMail").val().trim().length === 0){
        isValide = false;
            if(!alreadyFocused){
                $("#newsletterSimpleInscriptionMail").focus();
                alreadyFocused=true;
            }
        messageErreur.push("Vous devez saisir votre adresse email (format attendu : nomprenom@mail.com)");
    }else{
        if(!util.validmail(document.newsletterSimpleInscription.newsletterSimpleInscriptionMail)){
            isValide=false;
            if(!alreadyFocused){
                $("#newsletterSimpleInscriptionMail").focus();
                alreadyFocused=true;
            }
            messageErreur.push("Vous devez saisir une adresse email valide (format attendu : nomprenom@mail.com)");
        }
    }
    if (typeof isRgpdAccepted === 'function') {
        if(!isRgpdAccepted("newsletterSimpleInscription")) {
            messageErreur.push("Vous devez accepter les données RGPD du formulaire. ")
                if(!alreadyFocused){
                    $("#rgpdAccepted").focus();
                    alreadyFocused=true;
                }
            formValid = false;
        }
    }
    if (typeof isCaptchaFilled !== "undefined") {
        if(!isCaptchaFilled("newsletterSimpleInscription")){
            isValide = false;
                if(!alreadyFocused){
                        $("[title='reCAPTCHA']").focus();
                    alreadyFocused=true;
                }
            messageErreur.push("Vous devez accepter le captcha");
        }
    }

    if(!isValide){
        alert(messageErreur.join("\n"));
    }
    return isValide;
}

if($('.submitNewsletterSimpleDesinscription').length > 0){
    $('.submitNewsletterSimpleDesinscription').on("click",function(e){
        e.preventDefault();
        if(checkDesinscriptionComplete()){
            $("#newsletterSimpleDesinscription").submit();
        }
        return false;
    })
}
function checkDesinscriptionComplete(){
    var isValide = true;
    var messageErreur = [];


    if($("#newsletterSimpleDesinscriptionMail").val().trim().length === 0){
        isValide = false;
            if(!alreadyFocused){
                $("#newsletterSimpleDesinscriptionMail").focus();
                alreadyFocused=true;
            }
        messageErreur.push("Vous devez saisir votre adresse email (format attendu : nomprenom@mail.com)");
    }else{
        if(!util.validmail(document.newsletterSimpleDesinscription.newsletterSimpleDesinscriptionMail)){
            isValide=false;
            if(!alreadyFocused){
                $("#newsletterSimpleDesinscriptionMail").focus();
                alreadyFocused=true;
            }
            messageErreur.push("Vous devez saisir une adresse email valide (format attendu : nomprenom@mail.com)");
        }
    }

    if(!isValide){
        alert(messageErreur.join("\n"));
    }
    return isValide;
}